#
# spec file for package epic
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           epic
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
Provides:       epic4
Provides:       ircii
Provides:       irciihlp
Obsoletes:      epic4
Obsoletes:      ircii
Obsoletes:      irciihlp
Version:        2.10.6
Release:        lp150.2.1
Summary:        Enhanced Programmable ircII Client
License:        BSD-3-Clause
Group:          Productivity/Networking/IRC
Url:            http://www.epicsol.org
Source0:        epic4-%version.tar.gz
Source1:        epic4-help-20070412.tar.bz2
Patch:          epic4-config.patch
# PATCH-FIX-UPSTREAM
Patch1:         reproducible.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
EPIC is an IRC client almost 100% compatible with the old ircII client
from which it was derived. It has improved scripting, better
configurability, and more.



Authors:
--------
    EPIC Software Labs

%prep
%setup -q -n epic4-%version -a 1
%patch -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -O2 -Wall -fno-strict-aliasing" ./configure \
	--prefix=/usr \
	--mandir=%_mandir \
	--with-ipv6 \
	--libexecdir=/usr/lib/epic
make

%install
make prefix=$RPM_BUILD_ROOT/usr libexecdir=$RPM_BUILD_ROOT/usr/lib/epic \
mandir=$RPM_BUILD_ROOT/%_mandir installeverything
make prefix=$RPM_BUILD_ROOT/usr libexecdir=$RPM_BUILD_ROOT/usr/lib/epic \
mandir=$RPM_BUILD_ROOT/%_mandir installhelp
find $RPM_BUILD_ROOT/usr/share -name CVS -print0 | xargs -0 rm -rf

%files
%defattr(-,root,root)
/usr/share/epic
/usr/lib/epic
/usr/bin/*
%_mandir/man1/*

%changelog
* Wed Mar 14 2018 bwiedemann@suse.com
- Add reproducible.patch to make build reproducible
  (boo#1084909, boo#1047218)
* Fri Dec 29 2017 crrodriguez@opensuse.org
- Update to version 2.10.6, fixes openSSL 1.1 build
* Thu Mar 20 2014 mgorse@suse.com
- require openssl-devel, so that ssl support is compiled in
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Wed Sep 10 2008 vgorobets@suse.de
- New version: epic4-2.10
- Fix inability to /query an /exec'd process.
- Add support for +T by special request.
- Fix crash for /parsekey type_text
- Add $windowctl(GET <refnum> CHANNELS)
- Fix brain-o in a previous fix.
- Port $strtol() and $tobase() from epic5.
- Fix $tobase() bug - $tobase() now supports negative integers.
* Fri Mar 30 2007 ro@suse.de
- added ncurses-devel to buildreq
* Wed Jan 10 2007 max@suse.de
- Update to version 2.6 to fix a crash when torturing epic
  with ircfuzz (#154621).
- Updaye help to version 20050315.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 15 2004 mmj@suse.de
- Update to 2.2
- Update to latest help
* Tue Oct 12 2004 mmj@suse.de
- Update to 2.1.1
- Use correct libexecdir, /usr/lib/epic (FHS)
* Wed Apr 14 2004 mmj@suse.de
- Update to 2.0
- Add help
* Mon Feb  9 2004 mmj@suse.de
- Update to 1.2.9
* Tue Nov 11 2003 mmj@suse.de
- Update to 1.1.16
- Use %%_lib instead of hardcoded "lib"
* Wed Oct 15 2003 mmj@suse.de
- Don't build as root
* Thu Aug  7 2003 mmj@suse.de
- Add -fno-strict-aliasing to CFLAGS
* Fri Jun 20 2003 mmj@suse.de
- Update to 1.1.12
* Tue May 13 2003 mmj@suse.de
- Use %%defattr
* Thu May  8 2003 mmj@suse.de
- Update to 1.1.11
* Sun Feb  2 2003 mmj@suse.de
- Update to 1.1.10
* Fri Nov 22 2002 mmj@suse.de
- Fix string mangling
* Thu Sep 19 2002 mmj@suse.de
- Up to 1.1.7 which includes IPv6 support
* Thu May 23 2002 ro@suse.de
- added obsoletes and provides for irciihlp
* Thu May 23 2002 ro@suse.de
- added obsoletes and provides for epic4 and ircii
* Wed May 22 2002 mmj@suse.de
- Inital package to replace ircii.
